"Fossies" - the Fresh Open Source Software Archive

Member "ironic-12.1.1/releasenotes/notes/classic-drivers-deprecation-de464065187d4c14.yaml" (6 Jun 2019, 644 Bytes) of package /linux/misc/openstack/ironic-12.1.1.tar.gz:


As a special service "Fossies" has tried to format the requested source page into HTML format using (guessed) Ansible YAML source code syntax highlighting (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 ---
    2 deprecations:
    3   - |
    4     The classic drivers, as well as the ``enabled_drivers`` configuration
    5     option, are now deprecated and may be removed in the Rocky relese.
    6     A deprecation warning will be logged for every loaded classic driver.
    7     Check `the migration guide
    8     <https://docs.openstack.org/ironic/latest/admin/upgrade-to-hardware-types.html>`_
    9     for information on how to update your nodes.
   10 
   11     .. note::
   12         Check `the classic drivers future specification
   13         <http://specs.openstack.org/openstack/ironic-specs/specs/approved/classic-drivers-future.html>`_
   14         for technical information behind this deprecation.